Last Comment Bug 651872 - Create access key for Workspace menu item
: Create access key for Workspace menu item
Status: VERIFIED FIXED
[workspace][fixed-in-devtools][merged...
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 08:44 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-06-29 05:45 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
[checked-in][in-devtools]accesskey (2.07 KB, patch)
2011-04-21 08:49 PDT, Mihai Sucan [:msucan]
l10n: review-
rcampbell: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-04-21 08:44:56 PDT
browser-menubar.inc doesn't have an access key for the workspace menu item. We should add one, based on https://bugzilla.mozilla.org/show_bug.cgi?id=642176#c35.
Comment 1 Mihai Sucan [:msucan] 2011-04-21 08:49:57 PDT
Created attachment 527552 [details] [diff] [review]
[checked-in][in-devtools]accesskey

Add the accesskey for the Workspace menuitem.
Comment 2 Rob Campbell [:rc] (:robcee) 2011-04-21 09:14:55 PDT
Comment on attachment 527552 [details] [diff] [review]
[checked-in][in-devtools]accesskey

looks good. I'm going to wager l10n will deem this acceptable.
Comment 3 Rob Campbell [:rc] (:robcee) 2011-04-21 09:27:09 PDT
Comment on attachment 527552 [details] [diff] [review]
[checked-in][in-devtools]accesskey

http://hg.mozilla.org/projects/devtools/rev/1caae16935f9
Comment 4 Axel Hecht [pto-Aug-30][:Pike] 2011-04-21 11:56:47 PDT
Comment on attachment 527552 [details] [diff] [review]
[checked-in][in-devtools]accesskey

I think this should be an "o", actually.

https://developer.mozilla.org/en/XUL_Accesskey_FAQ_and_Policies is a good read on how to choose accesskeys in general, fwiw.
Comment 5 Axel Hecht [pto-Aug-30][:Pike] 2011-04-21 11:57:49 PDT
Comment on attachment 527552 [details] [diff] [review]
[checked-in][in-devtools]accesskey

PS: I'm not an expert in a11y, sadly. Or luckily. 

Can't check for conflicts here on OSX easily, either, as it doesn't show accesskeys. You should check on win or linux.
Comment 6 Rob Campbell [:rc] (:robcee) 2011-05-09 12:33:57 PDT
Comment on attachment 527552 [details] [diff] [review]
[checked-in][in-devtools]accesskey

http://hg.mozilla.org/mozilla-central/rev/1caae16935f9
Comment 7 AndreiD[QA] 2011-05-12 07:16:09 PDT
Verified fixed on: 
Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110511 Firefox/6.0a1
Mozilla/5.0 (X11; Linux i686; rv:6.0a1) Gecko/20110512 Firefox/6.0a1

having the letter "s" as an access key in the menu

There is no letter assigned in the menu on Mac:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0a1) Gecko/20110511 Firefox/6.0a1

Note You need to log in before you can comment on or make changes to this bug.